BEGIN;
CREATE SEQUENCE wt_banners_cod_seq;
CREATE TABLE wt_banners (
  cod INT2 DEFAULT nextval('wt_banners_cod_seq'),
  name varchar(20) NOT NULL DEFAULT '',
  active BOOL NOT NULL DEFAULT 'N',
  image varchar(40) NOT NULL DEFAULT '',
  url_image varchar(127) NOT NULL DEFAULT '',
  url varchar(127) NOT NULL DEFAULT '',
  code text,
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (cod)
);
CREATE TABLE wt_banners_rawlog (
  banner INT2  NOT NULL DEFAULT '0',
  type VARCHAR(7) CHECK(type in('view','click')) NOT NULL DEFAULT 'view',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  session varchar(32) NOT NULL DEFAULT ''
);
CREATE TABLE wt_banners_log (
  banner INT2  NOT NULL DEFAULT '0',
  DATE date NOT NULL DEFAULT '0001-01-01',
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  sessions INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (banner,date)
);
CREATE INDEX activeInd_wt_banners_index ON wt_banners (active);
CREATE INDEX bannerInd_wt_banners_rawlog_index ON wt_banners_rawlog (banner,type,date);
SELECT SETVAL('wt_banners_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_banners));
COMMIT;
